r.in.png(1)

NAME
r.in.png - Imports non-georeferenced PNG format image.

KEYWORDS
raster, import, PNG

SYNOPSIS
r.in.png
r.in.png --help
r.in.png [-fh] input=name output=name [title=string] [gamma=float] [alpha=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-f
    Create floating-point map (0.0 - 1.0)

-h
    Output image file header only and exit

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input file

output=name [required]
    Name for output raster map

title=string
    Title for created raster map

gamma=float
    Display gamma

alpha=float
    Alpha threshold

DESCRIPTION
r.in.png imports a non-georeferenced Portable Network Graphics (PNG) image as a GRASS raster map. Georeferencing .wld files are not supported, for that r.import can be used.

NOTES
In order to assign georeferencing after import use r.region.

SEE ALSO
r.import, r.in.gdal, r.out.png, r.region

AUTHORS
Michael Shapiro
Alex Shevlakov
Glynn Clements

SOURCE CODE

Available at: r.in.png source code (history)

Accessed: Friday Jun 05 19:25:10 2026

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual